package com.kmall.admin.service.impl.mk.store;

import com.kmall.admin.dao.mk.store.StoreTopicDao;
import com.kmall.admin.entity.mk.store.StoreTopicEntity;
import com.kmall.admin.service.mk.store.StoreTopicService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 门店活动表Service实现类
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2019-04-26 16:50:46
 */
@Service("storeTopicService")
public class StoreTopicServiceImpl implements StoreTopicService {
    @Autowired
    private StoreTopicDao storeTopicDao;

    @Override
    public StoreTopicEntity queryObject(Integer id) {
        return storeTopicDao.queryObject(id);
    }

    @Override
    public List<StoreTopicEntity> queryList(Map<String, Object> map) {
        return storeTopicDao.queryList(map);
    }

    @Override
    public int queryTotal(Map<String, Object> map) {
        return storeTopicDao.queryTotal(map);
    }

    @Override
    public int save(StoreTopicEntity storeTopic) {
        return storeTopicDao.save(storeTopic);
    }

    @Override
    public int update(StoreTopicEntity storeTopic) {
        return storeTopicDao.update(storeTopic);
    }

    @Override
    public int delete(Integer id) {
        return storeTopicDao.delete(id);
    }

    @Override
    public int deleteBatch(Integer[]ids) {
        return storeTopicDao.deleteBatch(ids);
    }
}
